# Class DefaultController

Must be the last controller call. It fixes default values

  Thelia\Controller\DefaultController implements Thelia\Controller\NullControllerInterface

Namespace: Thelia\Controller
Author: Manuel Raynaud <mraynadu@openstudio.fr>
Located at core/lib/Thelia/Controller/DefaultController.php

Methods summary
`public` | # `noAction( Symfony\Component\HttpFoundation\Request $request )` set the default value for thelia In this case there is no action so we have to verify if some needed params are not missing #### Parameters $request `Symfony\Component\HttpFoundation\Request` $request #### Implementation of `Thelia\Controller\NullControllerInterface::noAction()`